# Generated by Django 4.2.7 on 2023-11-27 12:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("rw", "0012_alter_author_emails_alter_update_nature_of_notice"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="update",
            name="institutions",
        ),
        migrations.CreateModel(
            name="Affiliation",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("department_name", models.TextField()),
                (
                    "institution",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="rw.rorrecord"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="author",
            name="institutions",
            field=models.ManyToManyField(blank=True, null=True, to="rw.affiliation"),
        ),
    ]
